package com.goldenwater.slgc.service.pms;

import com.goldenwater.slgc.entity.pms.PmsContractBill;
import java.util.List;

public interface IPmsContractBillService {
    /**
     * 查询合同开票列表
     */
    List<PmsContractBill> selectList(PmsContractBill contractBill);

    /**
     * 根据主键查询合同开票
     */
    PmsContractBill selectById(Long id);

    /**
     * 新增合同开票
     */
    int insert(PmsContractBill contractBill);

    /**
     * 修改合同开票
     */
    int update(PmsContractBill contractBill);

    /**
     * 删除合同开票
     */
    int deleteById(Long id);

    /**
     * 批量删除合同开票
     */
    int deleteByIds(Long[] ids);

    /**
     * 根据合同ID查询合同开票列表
     */
    List<PmsContractBill> selectByConId(Long conId);
}
